using CarCenterContracts.BindingModels;
using CarCenterContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.BusinessLogicsContracts
{
	public interface IReportLogicAdministrator
	{
		List<ReportEquipmentsEmployeesViewModel> GetEquipmentsEmployees(ReportEquipmentsEmployeesBindingModel model);
		List<ReportPreSaleWorkCarViewModel> GetPreSaleWorkCars(ReportPreSaleWorkCarBindingModel model);

		void SavePreSaleWorksToWordFile(ReportPreSaleWorkCarBindingModel model);
		void SavePreSaleWorksToExcelFile(ReportPreSaleWorkCarBindingModel model);
		void SaveCarsToPdfFile(ReportEquipmentsEmployeesBindingModel model);
	}
}
